Developer
    Bus Booking API
    • Account
    • Verification API
    • Recharge API
    • PAYOUT API
    • Operator Lookup API
    • Mobile Tariff Plans
    • Utility Bill Pay API
    • Gift Card/ Brand Voucher API
    • webhook/callback
    • Recharge Validation API
    • Flight Booking API
    • Bus Booking API
    • Credit Card Bill API
    • CREDIT CARD TO BANK API
    • Virtual Account
    • UPI COLLECTION
    • UPI INTENT LINK
    • Traffic E-Challan
    • Digital Gold API
    • Credit Score | CIBIL Score API
    • cityList
      GET
    • searchBus
      GET
    • seatLayout
      POST
    • blockSeat
      POST
    • bookSeat
      GET
    • cancelTicket
      POST

      blockSeat

      POST
      https://api.wepego.com/travel/bus/blockSeat
      S.NoAttributeDescriptionsRequired
      3sourceCityName of the source citytrue
      4destinationCityName of the destination citytrue
      5inventoryTypeInventoryType valuetrue
      5routeScheduleIdrouteScheduleId valuetrue
      5customerNameName of the person whobook the tickettrue
      5customerLastNameLast Name of the person who book the tickettrue
      5customerEmailEmail id of the person who book the tickettrue
      5dojDate of Journey in the yyyy-mm-dd formattrue
      5boardingPointIt consists of id, location, timetrue
      5idBoarding point idtrue
      5locationBoarding point locationtrue
      5TimeBoarding point dispatcher timetrue
      5customerPhoneMobile number of the person who book the tickettrue
      5emergencyPhNumberEmergency mobile numbertrue
      5CustomerAddressAddress of the person who book the tickettrue
      5blockSeatPaxDetailsList of BlockSeatPaxDetails member variables. It Consists of age, name, seatNbr, sex, fare, totalFareWithTaxes, ladiesSeat, lastName, mobile, title, email, idType, idNumber, nameOnId, primary, ac, sleeper.true
      5AgePassenger Agetrue
      5namePassenger Nametrue
      5seatNbrPassenger Seat Numbertrue
      5SexSex(M/F)true
      5FareSeat Faretrue
      5totalFareWithTaxesSeat Fare with service tax amounttrue
      5ladiesSeatLadiesSeat(true/false)true
      5lastNameLast name of the Passengertrue
      5mobileMobile number of the person who traveltrue
      5TitleTitletrue
      5emailEmail id of the person who traveltrue
      5idTypeId Card Type(pan,passport,.....)true
      5idNumberId Card Number of given Cardtrue
      5nameOnIdName on the Id Cardtrue
      5primaryIs primary passenger (true/false)true
      5AcIs AC bus(true/false)true
      5sleeperIs Sleeper(true/false)true

      Request

      Header Params

      Body Params application/json

      Examples

      Responses

      ⚪0
      application/json
      Bodyapplication/json

      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location 'https://api.wepego.com/travel/bus/blockSeat' \
      --header 'Token: ZKEYza2COHK0QVkcVkwUb6WeIgWiS' \
      --header 'checkSum: 739f448d1cc4f5bbbd048e68ba2b8885b0f8414ed4090ad967df7d15d7cdbbae' \
      --header 'Content-Type: application/json' \
      --data-raw '{
          "sourceCity": "Hyderabad",
          "destinationCity": "Chennai",
          "doj": "2020-09-21",
          "routeScheduleId": "23214",
          "boardingPoint": {
              "id": "2224",
              "location": "S.R Nagar,ABC Complex KAVERI TRAVELS OFFICE ,Ph No : 7799888678,7799888674",
              "time": "10:00PM"
          },
          "customerName": "test",
          "customerLastName": "testing",
          "customerEmail": "test@gmail.com",
          "customerPhone": "9999999999",
          "emergencyPhNumber": "8888888888",
          "customerAddress": "kphp",
          "blockSeatPaxDetails": [
              {
                  "age": "26",
                  "name": "test123",
                  "seatNbr": "3L",
                  "sex": "M",
                  "fare": 1280,
                  "totalFareWithTaxes": 1344,
                  "ladiesSeat": false,
                  "lastName": "test456",
                  "mobile": "7777777777",
                  "title": "Mr",
                  "email": "testing@gmail.com",
                  "idType": "PAN",
                  "idNumber": "AWk123232",
                  "nameOnId": "test",
                  "primary": true,
                  "ac": false,
                  "sleeper": false
              }
          ],
          "inventoryType": 0
      }'
      Response Response Example
      {
          "apiStatus": {
              "message": "SUCCESS",
              "success": true
          },
          "inventoryType": 0,
          "blockTicketKey": "PNRS0S232141805",
          "api_mode": "TEST"
      }
      Modified at 2026-08-29 13:16:25
      Previous
      seatLayout
      Next
      bookSeat
      Built with